# draugr.stopping.stopping_key.CaptureEarlyStop

class draugr.stopping.stopping_key.CaptureEarlyStop(*args, has_x_server: bool = True, verbose: bool = False, combinations: ~typing.Iterable = [{<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'s', <Key.shift: <65505>>, <Key.alt: <65513>>}, {'S', <Key.shift: <65505>>, <Key.alt: <65513>>}, {<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'\x04'}, {'\x03'}])

  Bases: `AbstractContextManager`

  Context for early stopping a loop

  __init__(*args, has_x_server: bool = True, verbose: bool = False, combinations: ~typing.Iterable = [{<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'s', <Key.shift: <65505>>, <Key.alt: <65513>>}, {'S', <Key.shift: <65505>>, <Key.alt: <65513>>}, {<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'\x04'}, {'\x03'}])

  Methods

  `__init__`(*args[, has_x_server, verbose, ...]) |